# Dokumetacja API

| Api        | Zadania tej klasy                                                |
| ---------------------------------------------- | ---------------------------------------------------------------- |
| [/config](#config)                             | Załadowanie konfiguracji startowej do aplikacji PlanNaPlan       |
| [/getCoursesWithGroups](#getCoursesWithGroups) | Zwrócenie wszytskich kursów (ćwiczenia, wykłady) razem z grupami |
| [/getCourseGroups](#getCourseGroups)           | Zwrócenie grup dla danego kursu                                  |

## config

Source code: [link](../restservice/src/main/java/com/plannaplan/controllers/ConfigController.java)

```
POST /config
```

#### Description

Endpoint konfigurujacy caly system i importujacy dane do bazy.

#### Parameters

| Type | Name                    | Consumes            | Description                     | Type |
| ---- | ----------------------- | ------------------- | ------------------------------- | ---- |
| Body | **file** </br> required | multipart/form-data | Plik .xlsx z potrzebnymi danymi | file |

## getCoursesWithGroups

Source code: [link](../restservice/src/main/java/com/plannaplan/controllers/getCoursesWithGroups.java)

```
GET /getCoursesWithGroups
```

#### Description

Zwraca wszystkie dostepne kursy wraz z lista grup dla poszczegolnych kursow.

## getCourseGroups

Source code: [link](../restservice/src/main/java/com/plannaplan/controllers/GroupController.java)

```
GET /getCourseGroups
```

#### Description

Endpoint konfigurujacy caly system i importujacy dane do bazy.

#### Parameters

| Type        | Name                  | Consumes | Description                               | Type |
| ----------- | --------------------- | -------- | ----------------------------------------- | ---- |
| Query Param | **id** </br> required | -        | id kursu dla ktorego chcemy zwrocic grupy | int  |
| Query Param | **capacity** </br>    | -        | czy ma zwrocic pole pojemnosci grupy      | bool |
